Subject: Re: bug#25061: consider adding %COMPAT to default gnutls priority string

From: Ted Zlatanov <[email-masked]>
Date: Sat, 16 Dec 2017 18:34:51 -0500

On Sat, 16 Dec 2017 23:25:15 +0000 Philipp Stephani <[email-masked]> wrote: 

PS> Ted Zlatanov <[email-masked]> schrieb am Fr., 15. Dez. 2017 um 05:19 Uhr:
>> On Mon, 11 Dec 2017 17:40:05 +0200 Eli Zaretskii <[email-masked]> wrote:
>> 
>> >> Can anyone knowledgeable comment on any possible downsides to this? I'll
>> >> wait 3 days for objections, then make the change in emacs-26.
>> 
EZ> Sounds like a good plan, thanks.
>> OK; done.
PS> This appears to break at least Ubuntu 14.04, where apparently GnuTLS
PS> doesn't yet support DUMBFW.

It seems we've uncovered some downsides. What's the actual user-visible error?

Considering 14.04 is pretty old, and AFAIK we can't check if %DUMBFW is
supported, we don't have good options:

1) undo the change (please don't just revert the commit)
2) document the breakage
3) start setting the default conditionally based on GnuTLS version (ugh)

Any other options?

Ted